%define _requires_exceptions /usr/bin/lua

Name:      ibus-sogoupycc
Summary:   Sogou Pinyin Cloud Client on ibus platform
Version:   0.2.5
Release:   %mkrel 6
Group:     System/Internationalization
License:   GPLv2
URL:       http://code.google.com/p/ibus-sogoupycc/
Source0:   http://ibus-sogoupycc.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:    ibus-sogoupycc-0.2.5-default-use-sogoupy-schema.patch
Patch1:    ibus-sogoupycc-0.2.5-fix-dbus-build.patch
Patch2:    ibus-sogoupycc-0.2.5-fix-build-libnotify-0.7.patch
BuildRequires:	ibus-devel >= 1.2.0
BuildRequires:	lua-devel >= 5.1
BuildRequires:	glib2-devel >= 2.22
BuildRequires:	dbus-devel >= 1.2
BuildRequires:	gtk+2-devel
BuildRequires:	sqlite3-devel
BuildRequires:	libnotify-devel >= 0.4
BuildRequires:  cmake
Requires:	ibus >= 1.2.0
Requires:	lua-socket

%description
ibus-sogoupycc is an unoffical Sogou pinyin cloud client on ibus platform. 
Features:
* double pinyin support: currently only support UCDOS style double pinyin
  scheme (slightly different from MSPY scheme) 
* no preedit: always choose the default (1st) result 
* non-blocking input: your input is not interrupted when waitting for
  server's responses.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p1

%build
%cmake
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/ibus-sogoupycc
%{_datadir}/ibus/component/sogoupycc.xml


%changelog

* Sun Sep 25 2011 fwang <fwang> 0.2.5-6.mga2
+ Revision: 147640
- rebuild for new ibus

* Sun Jun 19 2011 ahmad <ahmad> 0.2.5-5.mga2
+ Revision: 109597
- Add a patch to fix build with libnotify-0.7

* Fri Mar 18 2011 tv <tv> 0.2.5-4.mga1
+ Revision: 73593
- imported package ibus-sogoupycc

